Category Archives: E-Commerce

GDPR & Zen Cart

GDPR is General Data Protection Rule as created by Europe. Basic bottom line is that it possibly affects all ecommerce world-wide. The truth is no one really knows what will happen for cart owners outside of Europe but be aware you could be affected. I read a number of articles before started this and in reality all I gleaned was that the GDPR is a very long winded policy with no details that are instructive to small cart owners. This page by a US based lawyer does address… Read more

Is It Time to Switch to HTTPS?

HTTPS has been a tiny bit of Google's ranking every since 2014 and as of April of last year, they are still saying that isn't in the plans to change the weight of that element. (source) What has changed that you need to be aware of is the browsers. Both Chrome and Firefox have announced that upcoming versions will start highlighting sites that are not using the HTTPS protocol. Even if you do not need it with a static or information only sites, this is… Read more

Do I have to pay for a Secure Certificate?

No, but you may want to still buy a secure certificate even if there are free ones available. The ability to offer free secure certficates has been established as a fact for cPanel servers. And I just turned it on for my clients – for  use on their static or wordpress websites. These cPanel-generated certificates do show the correct browser security of most users and are backed by GlobalSign. Now that the browsers are starting to note who doesn't have a secure certificate no… Read more

Should I Upgrade my Zen Cart Store?

Note: 1.5.5f was recently released. I've been led to believe it's the last update for 1.5.5. Based on that premise, I have started upgrading to 1.5.5f. More on that here. A recent patch released for Zen Cart this week had more to do with Master Card changes than Zen Cart problems. Just another thing one has to keep up with in this every changing ecommerce world. What was the shocker and, yes, I call it a shocker was the recommendation on the Zen Cart forum post in the… Read more

Zen Cart Changes for Mastercard

If you are using anything besides 1.5.5e or 1.5.5f, you may need to grab that file for MasterCard. Mastercard is starting to use card numbers that start with a two instead of a five. The 1.5.5e file that validates Master Card numbers correctly can simply be used instead for 1.5.4. That file is includes/classes/cc_validation.php. If you are using an earlier version of Zen Cart (1.5.3 and below), you may need to do some file integration but I recommend upgrading to at least 1.5.4… Read more